
% File:     iccalc.yap
% Author:   Robert Craven, rac101@doc.ic.ac.uk
% Author:   Marek Sergot, mjs@doc.ic.ac.uk
% Language: Prolog
% Date:     28/08/10
%
% iCCalc dialect-specific settings for Yap prolog

:- use_module(library(lists)).
:- use_module(library(ordsets)).
:- use_module(library(readutil)).
:- use_module(library(system)).
:- use_module(library(ugraphs)).

:- op(700, fx, [help]).

%%%%% help predicates

help :-
 user_help.

user_help :-
 icchelp.

help(Item) :-
 icchelp(Item).

%%%%% common_abolish/2

common_abolish(X, Y) :-
 abolish(X, Y).

%%%%% common_number_chars/2

common_number_chars(X,Y) :-
 number_codes(X,Y).

%%%%% common_prolog_load_dir/1

common_prolog_load_dir(D) :-
 prolog_load_context(directory,D).

%%%%% common_walltime/2

common_walltime(X) :-
 statistics(walltime, [_,X]).

%%%%% logEval/3

logEval(X,Y,Res) :-
 Res is (log(Y) / log(X)).

%%%%% read_line/2

read_line(X, Y) :-
 read_line_to_codes(X, Y).

%%%%% skip_line/0

skip_line.

